#include <stdio.h>
#include <stdlib.h>
#include <sys/file.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

main(int argc,char *argv[])
{
  int fkt; int fd;
  /* File zum Lesen und Schreiben eroeffnen 
   Operationen: w   schreiben
                r   lesen
  */

  if ( argc !=3 ) {
      fprintf(stderr,"use: %s [r|w] <filename>\n",argv[0]);
      exit(1);
  }
  if ( ! strcmp(argv[1],"r") )
       fkt=LOCK_SH;
  else 
     if ( ! strcmp(argv[1],"w")) fkt=LOCK_EX;
     else { fprintf(stderr,"use: %s [r|w] <filename>\n",argv[0]);
            exit(2);
     }
  
  if ((fd=open(argv[2],O_RDWR))<0) {
      err_sys("open-error ");
  }
  if ( flock(fd,fkt|LOCK_NB) < 0 ) {
     printf("%d: kein sofortiges '%s'-flock fuer '%s' moeglich\n",getpid(),argv[1],argv[2]);
     printf("%d: jetz '%s'-flock fuer '%s' mit warten\n",getpid(),argv[1],argv[2]);
     if ( flock(fd,fkt) < 0 ) {
       err_sys("flock-error ");
     }
  }
  printf("%d: '%s'-flock fuer '%s' erfolgreich, jetzt zugriff\n",getpid(),argv[1],argv[2]);
  pause();
}
