#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>

int main(int argc, const char **argv)
{
  u_long addr;
  char *byte;
  int i,w;

  if (argc != 2) {
      (void) printf("usage: %s IP-address\n", argv[0]);
      exit (1);
   }

  if ((int)(addr = inet_addr(argv[1])) == -1) {
    (void) printf("IP-address must be of the form a.b.c.d\n");
    exit (2);
  }
  byte = (char *) &addr;
  printf("8lx - %8lx\n",addr);
  printf("8lu - %lu\n",addr);

  printf("Byteweise - Adresse[0,1,2,3] - ");
  for (i=0;i<4; i++) {
    w=*byte; 
    if (w<0) w+=256;
    byte++;
    printf("%d ", w );
  }
  printf("\n");
  addr=1l;
  printf("8lx 1l- %8lx\n",addr);
  addr = htonl(addr);
  printf("8lx htonl(1l)- %8lx\n",addr);
  byte = (char *) &addr;
  printf("Byteweise htonl(1l) - Adresse[0,1,2,3] - ");
  for (i=0;i<4; i++) {
    w=*byte; 
    if (w<0) w+=256;
    byte++;
    printf("%d ", w );
  }
  printf("\n");
  exit (0);
}

